[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_crwapi' (#crwlib)

# IScriptInterpreter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_crwapi.pas line 1049

`type IScriptInterpreter = interface(IPluginWrap)`
`function GetValue();`
`function SetValue();`
`procedure Clear;`
`function Evaluate();`
`function GetScript;`
`procedure SetScript();`
`function RunScript;`
`function Status;`
`function StatusMessage;`
`property Script: LongString; [rw]`
`end;`

## Inheritance

`IScriptInterpreter`
`IPluginWrap`
`IUnknown`
?